Videos
Get video by ID
Retrieves a single video with its variants, translations, attributes, and information about products/variants using this video.
GET
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
videos
/
{video_id}
Error
A valid request URL is required to generate request examples{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"description": "<string>",
"folder_id": "<string>",
"id": "<string>",
"path": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"used_by": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"priority": 123,
"slug": "<string>",
"updated_at": "<string>"
}
],
"variants": [
{
"format": "<string>",
"height": 123,
"url": "<string>",
"width": 123
}
]
},
"details": [
"<string>"
],
"success": true
}{
"details": [
"<string>"
],
"message": "<string>",
"success": true
}{
"details": [
"<string>"
],
"message": "<string>",
"success": true
}Path Parameters
App slug
Team slug
Video ID
Previous
Delete videoPermanently deletes a video from the database and R2 storage. Also removes all associated translations and relationships.
Next
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"description": "<string>",
"folder_id": "<string>",
"id": "<string>",
"path": "<string>",
"public": true,
"status": "<string>",
"title": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"title": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"used_by": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"priority": 123,
"slug": "<string>",
"updated_at": "<string>"
}
],
"variants": [
{
"format": "<string>",
"height": 123,
"url": "<string>",
"width": 123
}
]
},
"details": [
"<string>"
],
"success": true
}{
"details": [
"<string>"
],
"message": "<string>",
"success": true
}{
"details": [
"<string>"
],
"message": "<string>",
"success": true
}